#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
using namespace std;
using namespace __gnu_pbds;
std::vector<int> getVisionPattern1d(){
    vector<int> res;
    /*int n =3;
    for (int i = 1; i <= n; ++i) res.push_back(i);
    res = {1, 2, 3, 4, 5};
    n = res.size();
    for (int i = 0; i < n; ++i) {
        int p = i - res[i], pp = i + res[i];
        p = (p % n + n) % n, pp = (pp % n + n) % n;
        cout << res[p] << ' '<< res[pp] << ' '<< res[i] << endl;
    }*/
    res = {1, 2, 3};
    return res;
}
int getMove1d(std::vector<int> v){
    if (v.size() == 7) {
        if (v[1] > v[v.size() - 2]) return 1;
        return (int)v.size() - 2;
    }
    if (v[0] < v[v.size() - 1]) return 0;
    return (int)v.size() - 1;
}
std::vector<std::vector<int>> getVisionPattern2d(){
}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {
}
/*signed main() {
    getVisionPattern1d();
    return 0;
}*/
